// http://sled.rs/
fn main() -> Result<(), Box<dyn std::error::Error>>{
    let path = "a.file";
    let tree = sled::open(path)?;

    let k = "hello";
    let v = "world";

    // insert and get, similar to std's BTreeMap
    tree.insert(k, v)?;

    for kv in tree.range(k..) {
        println!("kv: {:?}", kv);
    }

    tree.flush()?;

    Ok(())
}
